Package org.eclipse.emf.cdo.server

# Interface IQueryHandler

All Known Subinterfaces:
  `IQueryHandler.PotentiallySlow`

All Known Implementing Classes:
  `OCLQueryHandler`

public interface IQueryHandler
A query language handler that is capable of executing a `query`.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IQueryHandler.PotentiallySlow`

## Method Summary

Modifier and Type
Method
Description
`void`
`executeQuery(CDOQueryInfo info, IQueryContext context)`
Executes the `query` represented by the specified `query info` by `passing` the query results to the query execution engine represented by the specified `execution context`.

## Method Details

### executeQuery

void executeQuery(CDOQueryInfo info, IQueryContext context)
Executes the `query` represented by the specified `query info` by `passing` the query results to the query execution engine represented by the specified `execution context`.

Since:
  3.0